package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.CalDAV;

import java.util.List;

@ApiModel(value = "CalDAVWrapper",
        description = "Information related to CallDAV.")
public class CalDAVWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "CalDAV.", required = true)
    private CalDAV operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public CalDAV getOperation() {
        return operation;
    }

    public void setOperation(CalDAV operation) {
        this.operation = operation;
    }
}
